import { Client } from './Client';
import 'mocha';
import { PinusWSClient } from 'pinus-robot-plugin';
import { expect } from 'chai';
import { addItemsIfNotEnough, checkDisplayItems, checkSuccessResponse, checkTimeStamp, checkWarJson } from './CheckPatten';
import { PVP } from '../app/pubUtils/dicParam';
import { DEBUG_MAGIC_WORD } from '../app/consts';
import { getRandSingleEelm } from '../app/pubUtils/util';

/*
describe('武将养成测试', function () {
  let pinusClient: PinusWSClient;
  let roleInfo;

  before(function (done) {
    const c = new Client();
    const timer = setInterval(() => {
      if (c.client) {
        pinusClient = c.client;
        roleInfo = c.roleInfo;
        clearInterval(timer);
        done();
      }
    }, 500);
  });

  after(function (done) {
    pinusClient.disconnect();
    // disconnect 后等待 500ms，供服务器清理环境、退出频道等
    setTimeout(() => {
      done();
    }, 500);
  });

  it('武将合成', function (done) {
      done();
  });

  it('武将升级', function (done) {
    done();
  });

  it('武将升星', function (done) {
    done();
  });

  it('武将觉醒', function (done) {
    done();
  });

  it('武将升品', function (done) {
    done();
  });

  it('武将训练', function (done) {
    done();
  });

  it('武将进阶', function (done) {
    done();
  });

  it('武将羁绊（激活+升级）', function (done) {
    done();
  });

  it('武将增加好感', function (done) {
    done();
  });

  it('穿戴时装', function (done) {
    done();
  });

  it('穿戴时装', function (done) {
    done();
  });

});
*/